Mandrake Linux Security Advisory : openoffice.org (MDKSA-2007:064)

This script is Copyright (C) 2007-2016 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

iDefense reported several overflow bugs in libwpd. An attacker could
create a carefully crafted Word Perfect file that could cause an
application linked with libwpd, such as OpenOffice, to crash or
possibly execute arbitrary code if the file was opened by a victim.

OpenOffice.org-2.X contains an embedded copy of libpwd, and as such is
susceptible to the same issues.

Updated packages have been rebuilt using the system libwpd to address
this issue.

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.1
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: Mandriva Local Security Checks

Nessus Plugin ID: 24843 (mandrake_MDKSA-2007-064.nasl)

Bugtraq ID: 23006

CVE ID: CVE-2007-0002
CVE-2007-1466

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now